{% include '@dexes/sidebar-navigation.html.twig' with {
  'back_url': path('dexes_ishare.ishare.participants.list'),
  'back_text': 'Back to all participants'|t,
  'expand_text': 'More information'|t
} %}

<article class="row pl-3 participant-detail">
  <div class="col-12 col-lg-7 pt-4">
    <div class="row mr-1 mb-3">
      <div class="datadeal__header">
        <div class="datadeal__icon">
          {% if party.additional_info.logo %}
            <img src="{{ party.additional_info.logo }}" alt="{{ party.party_name }} logo" class="participant-logo">
          {% else %}
            <i class="fa fa-solid fa-building"></i>
          {% endif %}
        </div>
        <div class="datadeal__title">
          <div class="d-flex gap-2">
            <div class="datadeal__type">{{ 'ishare participant'|t }}</div>
          </div>
          <div class="dex__title">
            <h1 class="dex__title--page">
              {{ party.party_name }}
            </h1>
          </div>
        </div>
      </div>
    </div>

    {% if party.additional_info.description %}
      <div class="row mr-1 mb-3">
          <p itemprop="description" class="description">{{ party.additional_info.description|nl2br }}</p>
      </div>
    {% endif %}

    <h2 class="h5">{{ 'Agreements'|t }} ({{ party.agreements|length }})</h2>
    {% if party.agreements and party.agreements is not empty %}
      <ul class="no-list-style agreement-list">
        {% for agreement in party.agreements %}
          <li>
            <div class="agreement-header">
              <div class="agreement-header-title">
                <i class="fa-solid fa-handshake"></i>
                <div>
                  <span>{{ agreement.type }}</span>
                  <h3>{{ agreement.title }}</h3>
                </div>
              </div>
            </div>
            <div class="agreement-body">
              <div>
                <span class="font-weight-bold">{{ 'Status'|t }}:</span>

                <span class="chip {{ agreement.status == 'Accepted' ? 'success' : '' }}">
                  {{ agreement.status }}
                </span>
              </div>

              <div>
                <span class="font-weight-bold">{{ 'Compliancy verified'|t }}:</span>

                <span class="chip {{ agreement.complaiancy_verified == 'yes' ? 'success' : '' }}">
                  {% if agreement.complaiancy_verified == 'yes' %}
                    <i class="fa-solid fa-check color-success"></i>
                  {% else %}
                    <i class="fa-solid fa-xmark color-danger"></i>
                  {% endif %}
                </span>
              </div>

              <div>
                <span class="font-weight-bold">{{ 'Framework'|t }}:</span>

                <span class="authority badge badge-info p-2">
                  {{ agreement.framework }}
                </span>
              </div>

              {% if agreement.dataspace_title %}
                <div>
                  <span class="font-weight-bold">{{ 'Dataspace title'|t }}:</span>

                  <span class="badge badge-info p-2" data-dataspace-id="{{ agreement.dataspace_id }}">
                    {{ agreement.dataspace_title }}
                  </span>
                </div>
              {% endif %}

              {% if agreement.sign_date %}
                <div>
                  <span class="font-weight-bold">{{ 'Sign date'|t }}:</span>

                  <time class="" datetime="{{ agreement.sign_date }}" data-toggle="tooltip" title="{{ agreement.sign_date }}" data-placement="top">
                    {{ agreement.sign_date|date("d/m/Y") }}
                  </time>
                </div>
              {% endif %}

              {% if agreement.expiry_date %}
                <div>
                  <span class="font-weight-bold">{{ 'Expiry date'|t }}:</span>

                  <time class="" datetime="{{ agreement.expiry_date }}" data-toggle="tooltip" title="{{ agreement.expiry_date }}" data-placement="top">
                    {{ agreement.expiry_date|date("d/m/Y") }}
                  </time>
                </div>
              {% endif %}
            </div>
          </li>
        {% endfor %}
      </ul>
    {% else %}
      <i>No agreements</i>
    {% endif %}
  </div>

  <section class="col-lg-5 content__sidebar" id="sidebar_right">
    <div id="toolbar_offcanvas_top" class="px-0 py-3 col-12 d-lg-none clearfix">
      <a class="toggle_offcanvas_menu btn btn-light float-right">
        <span class="long-button-title">{{ 'Close'|t }}</span>
        <i class="fa fa-angle-double-right ml-2"></i>
      </a>
    </div>

    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">{{ 'Status'|t }}</h3>
      <dl class="chip-block">
        <dt>{{ 'Status'|t }}</dt>
        <dd>
          <span class="chip {{ party.adherence.status == 'Active' ? 'success' : '' }}">
            {{ party.adherence.status }}
          </span>
        </dd>

        <dt>{{ 'Party id'|t }}</dt>
        <dd>
          <span>
            {{ party.party_id }}
          </span>
        </dd>

        {% if party.additional_info.tags %}
          <dt>
            {{ 'Tags'|t }}
          </dt>
          <dd>
            {{ party.additional_info.tags }}
          </dd>
        {% endif %}

        <dt>{{ 'Start date'|t }}</dt>
        <dd>
          {% set start_date = party.adherence.start_date|date('Y-m-d H:i:s') %}
          <time datetime="{{ start_date }}" data-toggle="tooltip" title="{{ start_date }}" data-placement="top">
            {{ party.adherence.start_date|date('d/m/Y') }}
          </time>
        </dd>

        <dt>{{ 'End date'|t }}</dt>
        <dd>
          {% set end_date = party.adherence.end_date|date('Y-m-d H:i:s') %}
          <time datetime="{{ end_date }}" title="{{ end_date }}" data-toggle="tooltip" data-placement="top">
            {{ party.adherence.end_date|date('d/m/Y') }}
          </time>
        </dd>
      </dl>
    </section>

    {% if party.additional_info.website or party.additional_info.company_phone or party.additional_info.company_email %}
      <section class="sidebar__section row clearfix dexes-page-block">
        <h3 class="sidebar__header">{{ 'Contact'|t }}</h3>
        <dl class="chip-block">

          {% if party.additional_info.website %}
            <dt>{{ 'Website'|t }}</dt>
            <dd>
              <a href="{{ party.additional_info.website }}" target="_blank" rel="nofollow" data-toggle="tooltip"
                 data-placement="top">
                {{ party.additional_info.website }}
              </a>
            </dd>
          {% endif %}

          {% if party.additional_info.company_phone %}
            <dt>{{ 'Phone'|t }}</dt>
            <dd>
              <a href="tel:{{ party.additional_info.company_phone }}" target="_blank" rel="nofollow" data-toggle="tooltip"
                 data-placement="top">
                {{ party.additional_info.company_phone }}
              </a>
            </dd>
          {% endif %}

          {% if party.additional_info.company_email %}
            <dt>{{ 'Email'|t }}</dt>
            <dd>
              <a href="mailto:{{ party.additional_info.company_email }}" target="_blank" rel="nofollow">
                {{ party.additional_info.company_email }}
              </a>
            </dd>
          {% endif %}
        </dl>
      </section>
    {% endif %}


    <section class="sidebar__section row clearfix dexes-page-block">
      <h3 class="sidebar__header">{{ 'Roles'|t }} ({{ party.roles|length }})</h3>
      {% for role in party.roles %}
        <section class="role-block">
          <h4 class="role-title">{{ role.role }}</h4>
          <dl class="chip-block">
            <dt>{{ 'Start date'|t }}</dt>
            <dd>
              {% set start_date = role.start_date|date('Y-m-d H:i:s') %}
              <time datetime="{{ start_date }}" data-toggle="tooltip" title="{{ start_date }}" data-placement="top">
                {{ role.start_date|date('d/m/Y') }}
              </time>
            </dd>

            <dt>{{ 'End date'|t }}</dt>
            <dd>
              {% set end_date = role.end_date|date('Y-m-d H:i:s') %}
              <time datetime="{{ end_date }}" data-toggle="tooltip" title="{{ end_date }}" data-placement="top">
                {{ role.end_date|date('d/m/Y') }}
              </time>
            </dd>

            {% if role.loa %}
              <dt>{{ 'LOA'|t }}</dt>
              <dd>
                {{ role.loa }}
              </dd>
            {% endif %}

            <dt>{{ 'Compliancy verified'|t }}</dt>
            <dd>
              {% if role.complaiancy_verified == 'yes' %}
                <i class="fa fa-solid fa-check color-success"></i>
              {% else %}
                <i class="fa fa-solid fa-xmark color-danger"></i>
              {% endif %}
            </dd>

            <dt>{{ 'Legal adherence'|t }}</dt>
            <dd>
              {% if role.legal_adherence == 'yes' %}
                <i class="fa fa-solid fa-check color-success"></i>
              {% else %}
                <i class="fa fa-solid fa-xmark color-danger"></i>
              {% endif %}
            </dd>
          </dl>
        </section>
      {% endfor %}
    </section>
  </section>
</article>
